Name:	 readline
Version: 8.0
Release: 4
Summary: Readline library for editing typed command lines

License: GPLv3+
URL:	 http://tiswww.case.edu/php/chet/readline/rltop.html
Source0: http://git.savannah.gnu.org/cgit/readline.git/snapshot/%{name}-%{version}.tar.gz

Patch0000: readline-8.0-shlib.patch
Patch0001: fix-file-descriptor-leak-with-z.patch
Patch0002: fix-problems-moving-back-beyond-start-of-history.patch
Patch0003: reading-history-entries-with-timestamps-can-result-i.patch
Patch6004: problems-restoring-the-history-file-are-not-signaled.patch 

BuildRequires:	gcc gcc-c++ ncurses-devel

%description
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are
typed in. Both Emacs and vi editing modes are available.The Readline
library includes additional functions to maintain a list of
previously-entered command lines, to recall and perhaps reedit those
lines, and perform csh-like history expansion on previous commands.

%package devel
Summary:  Development Header files for readline library
Requires: %{name} = %{version}-%{release}
Requires: ncurses-devel
Provides: %{name}-static
Obsoletes: %{name}-static

%description devel
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are
typed in.

This package contains Development header files for the readline
library.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:	man info

%description help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CPPFLAGS="-I%{_includedir}/ncurses"
%configure --with-curses
%make_build

%install
%make_install

%ldconfig_scriptlets

%files
%doc
%license COPYING USAGE
%{_libdir}/libhistory.so.*
%{_libdir}/libreadline.so.*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/libhistory.so
%{_libdir}/libreadline.so
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/%{name}/*
%{_datadir}/%{name}
%{_libdir}/*.a

%files help
%{_infodir}/history.info*
%{_infodir}/rluserman.info*
%{_infodir}/readline.info*
%exclude %{_infodir}/dir*
%{_mandir}/man3/*.3.gz


%changelog
* Thu Jun 24 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 8.0-4
- Delete useless old version dynamic library

* Wed Dec 9 2020 zoulin <zoulin13@huawei.com> - 8.0-3
- Modify URL

* Wed Jun 24 2020 xuping <xuping21@huawei.com> - 8.0-2
- quality enhancement synchronization github patch

* Fri Apr 24 2020 openEuler Buildteam <buildteam@openeuler.org> - 8.0
- update to 8.0

* Thu Aug 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.0-13
- Package init
